Mailinglist Archive: opensuse-bugs (4258 mails)

< Previous Next >
[Bug 953017] hugin won't start on Tumbleweed due do C++ ABI version mismatch
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Tue, 31 Jan 2017 18:20:15 +0000
  • Message-id: <bug-953017-21960-x10ld9AYDG@http.bugzilla.opensuse.org/>
http://bugzilla.opensuse.org/show_bug.cgi?id=953017
http://bugzilla.opensuse.org/show_bug.cgi?id=953017#c9

--- Comment #9 from Kenneth Ingham <ingham@xxxxxxxx> ---
Sorry Jan Engelhardt, I copied and pasted the wrong name. I meant that Thomas
Wagner's solution didn't work for me. I attached the repositories currently in
use on my system.

$ hugin
Fatal Error: Mismatch between the program and library build versions detected.
The library used 3.0 (wchar_t,compiler with C++ ABI 1002,STL
containers,compatible with 2.8),
and your program used 3.0 (wchar_t,compiler with C++ ABI 1010,STL
containers,compatible with 2.8).
Aborted (core dumped)
$ sudo zypper rm hugin
[sudo] password for root:
Loading repository data...
Reading installed packages...
Resolving package dependencies...

The following 4 applications are going to be REMOVED:
"Hugin Batch Processor" "Hugin Calibrate Lens" "Hugin Panorama Creator"
"System Tray"

The following package is going to be REMOVED:
hugin

1 package to remove.
After the operation, 35.5 MiB will be freed.
Continue? [y/n/? shows all options] (y): y
(1/1) Removing hugin-2016.2.0-1.4.x86_64
.................................[done]
Additional rpm output:
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'


There are some running programs that might use files deleted by recent upgrade.
You may wish to check and restart some of them. Run 'zypper ps -s' to list
these programs.
$ sudo zypper in hugin
Loading repository data...
Reading installed packages...
Resolving package dependencies...

The following 3 applications are going to be installed:
"Hugin Batch Processor" "Hugin Calibrate Lens" "Hugin Panorama Creator"

The following NEW package is going to be installed:
hugin

The following application is going to be REMOVED:
"System Tray"

1 new package to install.
Overall download size: 11.3 MiB. Already cached: 0 B. After the operation,
additional 35.5 MiB will be used.
Continue? [y/n/? shows all options] (y): y
Retrieving package hugin-2016.2.0-1.4.x86_64
(1/1), 11.3 MiB ( 35.5 MiB
unpacked)
Retrieving: hugin-2016.2.0-1.4.x86_64.rpm ..................[done (326.9
KiB/s)]
Checking for file conflicts:
.............................................[done]
(1/1) Installing: hugin-2016.2.0-1.4.x86_64
..............................[done]
Additional rpm output:
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'

$ hugin
Fatal Error: Mismatch between the program and library build versions detected.
The library used 3.0 (wchar_t,compiler with C++ ABI 1002,STL
containers,compatible with 2.8),
and your program used 3.0 (wchar_t,compiler with C++ ABI 1010,STL
containers,compatible with 2.8).
Aborted (core dumped)

--
You are receiving this mail because:
You are on the CC list for the bug.
< Previous Next >